screenshotr.h File Reference

## Description

Retrieve a screenshot from device.

Note
  Requires a mounted developer image.

## Macros

#define | SCREENSHOTR_SERVICE_NAME "com.apple.mobile.screenshotr"
| Service identifier passed to lockdownd_start_service() to start the screenshotr service.

## Typedefs

typedef screenshotr_client_private * | screenshotr_client_t
| The client handle.

## Enumerations

enum | screenshotr_error_t { SCREENSHOTR_E_SUCCESS = 0 , SCREENSHOTR_E_INVALID_ARG = -1 , SCREENSHOTR_E_PLIST_ERROR = -2 , SCREENSHOTR_E_MUX_ERROR = -3 , SCREENSHOTR_E_SSL_ERROR = -4 , SCREENSHOTR_E_RECEIVE_TIMEOUT = -5 , SCREENSHOTR_E_BAD_VERSION = -6 , SCREENSHOTR_E_UNKNOWN_ERROR = -256 }
| Error Codes.

## Functions

LIBIMOBILEDEVICE_API screenshotr_error_t | screenshotr_client_new (idevice_t device, lockdownd_service_descriptor_t service, screenshotr_client_t *client)
| Connects to the screenshotr service on the specified device.
LIBIMOBILEDEVICE_API screenshotr_error_t | screenshotr_client_start_service (idevice_t device, screenshotr_client_t *client, const char *label)
| Starts a new screenshotr service on the specified device and connects to it.
LIBIMOBILEDEVICE_API screenshotr_error_t | screenshotr_client_free (screenshotr_client_t client)
| Disconnects a screenshotr client from the device and frees up the screenshotr client data.
LIBIMOBILEDEVICE_API screenshotr_error_t | screenshotr_take_screenshot (screenshotr_client_t client, char **imgdata, uint64_t *imgsize)
| Get a screen shot from the connected device.